Class | RDoc::SimpleParser
In: | rdoc/parsers/parse_simple.rb
Parent: | Object

See rdoc/parsers/parse_c.rb

### Methods

new remove_private_comments scan

### Public Class methods

new(top_level, file_name, body, options, stats)

prepare to parse a plain file

[Source]

    # File rdoc/parsers/parse_simple.rb, line 15
        def initialize(top_level, file_name, body, options, stats)

          preprocess = SM::PreProcess.new(file_name, options.rdoc_include)

          preprocess.handle(body) do |directive, param|
            $stderr.puts "Unrecognized directive '#{directive}' in #{file_name}"
          end

          @body = body
          @options = options
          @top_level = top_level
        end

### Public Instance methods

remove_private_comments(comment)

[Source]

    # File rdoc/parsers/parse_simple.rb, line 37
        def remove_private_comments(comment)
          comment.gsub(/^--.*?^\+\+/m, '').sub(/^--.*/m, '')
        end

scan()

Extract the file contents and attach them to the toplevel as a comment

[Source]

    # File rdoc/parsers/parse_simple.rb, line 31
        def scan
          #    @body.gsub(/^(\s\n)+/, '')
          @top_level.comment = remove_private_comments(@body)
          @top_level
        end

[Validate]